SDL_Color Struct Reference

`#include <SDL_pixels.h>`

## Data Fields

Uint8 | r
Uint8 | g
Uint8 | b
Uint8 | a

## Detailed Description

Definition at line 295 of file SDL_pixels.h.

## Field Documentation

## a

Uint8 SDL_Color::a

Definition at line 300 of file SDL_pixels.h.

Referenced by _Redraw(), Map1toN(), SDL_ConvertSurface(), SDL_CreateTextureFromSurface(), SDL_FindColor(), SDL_LoadBMP_RW(), and unifont_make_rgba().

## b

Uint8 SDL_Color::b

Definition at line 299 of file SDL_pixels.h.

Referenced by _Redraw(), Blit1toNAlpha(), Blit1toNAlphaKey(), BlitBtoNAlpha(), BlitBtoNAlphaKey(), BlitNto1PixelAlpha(), BlitNto1SurfaceAlpha(), BlitNto1SurfaceAlphaKey(), main(), Map1toN(), SDL_ConvertSurface(), SDL_CreateRGBSurfaceWithFormat(), SDL_FindColor(), SDL_LoadBMP_RW(), and unifont_make_rgba().

## g

Uint8 SDL_Color::g

Definition at line 298 of file SDL_pixels.h.

Referenced by _Redraw(), Blit1toNAlpha(), Blit1toNAlphaKey(), BlitBtoNAlpha(), BlitBtoNAlphaKey(), BlitNto1PixelAlpha(), BlitNto1SurfaceAlpha(), BlitNto1SurfaceAlphaKey(), main(), Map1toN(), SDL_ConvertSurface(), SDL_CreateRGBSurfaceWithFormat(), SDL_FindColor(), SDL_LoadBMP_RW(), and unifont_make_rgba().

## r

Uint8 SDL_Color::r

Definition at line 297 of file SDL_pixels.h.

Referenced by _Redraw(), Blit1toNAlpha(), Blit1toNAlphaKey(), BlitBtoNAlpha(), BlitBtoNAlphaKey(), BlitNto1PixelAlpha(), BlitNto1SurfaceAlpha(), BlitNto1SurfaceAlphaKey(), main(), Map1toN(), SDL_ConvertSurface(), SDL_CreateRGBSurfaceWithFormat(), SDL_FindColor(), SDL_LoadBMP_RW(), and unifont_make_rgba().

The documentation for this struct was generated from the following file:

- include/SDL_pixels.h